Entur Developer
Products

geographical-intervals

Server

Create a GeographicalInterval

POST
https://api.entur.io/products
/geographical-intervals

Create a GeographicalInterval › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a GeographicalInterval › Request Body

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

Reference to fare table.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:GeographicalInterval:1364TEN
​FarePriceInsert[] · required

Prices for the fare.

endGeographicalValue
​integer · int64

EndGeographicalValue.

intervalType
​string · enum

IntervalType.

Enum values:
STOP
TARIFF_ZONE
DISTANCE
COUPON
OTHER
numberOfUnits
​number · double

NumberOfUnits.

startGeographicalValue
​integer · int64

StartGeographicalValue.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Version.

Example: NSB:Version:V1

Create a GeographicalInterval › Responses

Entity created successfully

No data returned

Update multiple geographical intervals

PUT
https://api.entur.io/products
/geographical-intervals/batch

Update multiple geographical intervals › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update multiple geographical intervals › Request Body

empty
​boolean
traversableAgain
​boolean

Update multiple geographical intervals › Responses

Entity updated successfully

No data returned

Create a list of GeographicalIntervals

POST
https://api.entur.io/products
/geographical-intervals/batch

Create a list of GeographicalIntervals › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a list of GeographicalIntervals › Request Body

empty
​boolean
traversableAgain
​boolean

Create a list of GeographicalIntervals › Responses

Entity created successfully

No data returned

Update price for a geographical interval by netexId

PATCH
https://api.entur.io/products
/geographical-intervals/{giId}/fare-prices/{fpId}

Update price for a geographical interval by netexId › path Parameters

giId
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a geographical interval

fpId
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a fare price

Update price for a geographical interval by netexId › query Parameters

giVersionId
​string · required · style: form · explode: true

The version id to identify a geographical interval

Update price for a geographical interval by netexId › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update price for a geographical interval by netexId › Request Body

amount
​number · double

Amount in the currency selected at create operation

Example: 16.5
discountPercentageUsed
​integer · int32

Discount in percentageUsed

Example: 40

Update price for a geographical interval by netexId › Responses

Entity updated successfully

No data returned

Retrives a geographical interval by id

GET
https://api.entur.io/products
/geographical-intervals/{id}

Retrives a geographical interval by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a geographical interval

Retrives a geographical interval by id › query Parameters

version
​string · style: form · explode: true

The id for the version of the geographical interval

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrives a geographical interval by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a geographical interval by id › Responses

Returns the geographical interval

GeographicalInterval
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:GeographicalInterval:1364TEN
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

endGeographicalValue
​integer · int64

endGeographicalValue.

​VersionOfObjectRef[]

Reference to fare table.

intervalType
​string · enum

intervalType.

Enum values:
STOP
TARIFF_ZONE
DISTANCE
COUPON
OTHER
​LimitingRule

A LimitingRule

modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: GeographicalInterval
numberOfUnits
​number · double

numberOfUnits.

​FarePrice[]

Prices for the fare.

startGeographicalValue
​integer · int64

startGeographicalValue.

​ValidityCondition[]

validityConditions.


Retrives a geographical interval by id and version

GET
https://api.entur.io/products
/geographical-intervals/{id}/{version}

Retrives a geographical interval by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a geographical interval

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the geographical interval

Retrives a geographical interval by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a geographical interval by id and version › Responses

Returns the geographical interval

GeographicalInterval
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:GeographicalInterval:1364TEN
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

endGeographicalValue
​integer · int64

endGeographicalValue.

​VersionOfObjectRef[]

Reference to fare table.

intervalType
​string · enum

intervalType.

Enum values:
STOP
TARIFF_ZONE
DISTANCE
COUPON
OTHER
​LimitingRule

A LimitingRule

modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: GeographicalInterval
numberOfUnits
​number · double

numberOfUnits.

​FarePrice[]

Prices for the fare.

startGeographicalValue
​integer · int64

startGeographicalValue.

​ValidityCondition[]

validityConditions.


Retrieves a geographical interval by id

GET
https://api.entur.io/products
/v1/geographical-intervals/{id}

Retrieves a geographical interval by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a geographical interval

Retrieves a geographical interval by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the geographical interval

fromDate
​string · style: form · explode: true

The from date of the geographical intervals version

toDate
​string · style: form · explode: true

The to date of the geographical intervals version

Retrieves a geographical interval by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a geographical interval by id › Responses

Returns the geographical interval

GeographicalInterval
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:GeographicalInterval:1364TEN
status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

endGeographicalValue
​integer · int64

endGeographicalValue.

​VersionOfObjectRef[]

Reference to fare table.

intervalType
​string · enum

intervalType.

Enum values:
STOP
TARIFF_ZONE
DISTANCE
COUPON
OTHER
​LimitingRule

A LimitingRule

modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: GeographicalInterval
numberOfUnits
​number · double

numberOfUnits.

​FarePrice[]

Prices for the fare.

startGeographicalValue
​integer · int64

startGeographicalValue.

​ValidityCondition[]

validityConditions.


Did you find what you were looking for?